aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/gcc/gcc-4.3.2/debian/ada-gnatvsn.dpatch
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/gcc/gcc-4.3.2/debian/ada-gnatvsn.dpatch
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.bz2
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.zip
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/gcc/gcc-4.3.2/debian/ada-gnatvsn.dpatch')
-rw-r--r--recipes/gcc/gcc-4.3.2/debian/ada-gnatvsn.dpatch46
1 files changed, 46 insertions, 0 deletions
diff --git a/recipes/gcc/gcc-4.3.2/debian/ada-gnatvsn.dpatch b/recipes/gcc/gcc-4.3.2/debian/ada-gnatvsn.dpatch
new file mode 100644
index 0000000000..365bd60bb4
--- /dev/null
+++ b/recipes/gcc/gcc-4.3.2/debian/ada-gnatvsn.dpatch
@@ -0,0 +1,46 @@
+#! /bin/sh -e
+
+# DP: proposed patch for PR ada/27194.
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+--- orig/gnatvsn.adb 2005-07-01 03:29:17.000000000 +0200
++++ gcc/ada/gnatvsn.adb 2006-04-18 10:00:05.100002000 +0200
+@@ -54,12 +54,13 @@
+ -------------------------
+
+ function Gnat_Version_String return String is
+- NUL_Pos : Positive := 1;
++ NUL_Pos : Positive := Version_String'Last;
+ begin
+- loop
+- exit when Version_String (NUL_Pos) = ASCII.NUL;
+-
+- NUL_Pos := NUL_Pos + 1;
++ for J in Version_String'Range loop
++ if Version_String (J) = ASCII.NUL then
++ NUL_Pos := J;
++ exit;
++ end if;
+ end loop;
+
+ return Version_String (1 .. NUL_Pos - 1);